> For the complete documentation index, see [llms.txt](https://docs.linkdrop.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.linkdrop.io/linkdrop-dashboard/dashboard-sdk-and-api/claim-methods.md).

# Claim methods

**Redeeming Link**

```
const txHash = await sdk.redeem(
  claimCode: string,
  destination: string
)
```

The `redeem` method is used to redeem a claim link, transferring the specified tokens to the recipient address.

Parameters:

1. `claimCode`: The `claimCode` parameter from the claim link URL.
2. `destination`: The recipient address of the tokens.

The redeem method returns tx hash for the claim transaction.

**Getting Link Params**

To get claim link params via claim code:

```
const linkParams = await sdk.getLinkParams(
  claimCode: string
)
```

To get claim link params via link ID:

```
const linkParams = await sdk.getLinkParams(
  linkId: string
)
```

**Getting Link Status**

To retrieve link status and some other info via claim code:

```
const	{ 
  status,
  recipient,
  linkId,
  txHash,
  claimedAt,
  createdAtBlock,
} = await sdk.getLinkStatus(
  claimCode: string
)
```

You can also retrieve status by link ID as well:

```
const	{ 
  status,
  recipient,
  linkId,
  txHash,
  claimedAt,
  createdAtBlock,
} = await sdk.getLinkStatus(
  linkId: string
)
```

Returns an object with the following properties:

* status: string - The status of the link. Possible values are:
  * `"CREATED"` - The link has been created but has not yet been claimed.
  * `"PENDING"` - The link is waiting for the transaction to be confirmed on the blockchain.
  * `"CLAIMED"` - The link has been successfully claimed.
  * `"FAILED"` - The claim transaction has failed.
  * `"DEACTIVATED"` - The link has been deactivated by the campaign creator.
  * `"EXPIRED"` - The link has expired and can no longer be claimed.
* recipient: string - The Ethereum address to which the tokens have been sent.
* linkId: string - The ID of the link.
* txHash: string - The transaction hash of the claim transaction.
* claimedAt: number - The UNIX timestamp at which the link was claimed.
* createdAtBlock: number - The number of the block in which the link was created.

{% hint style="info" %}
Individual link deactivation is only available when using the SDK. If the user will follow the link that has been deactivated, he will see a corresponding message "Link deactivated"
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linkdrop.io/linkdrop-dashboard/dashboard-sdk-and-api/claim-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
